Bug 212776 - Mouse cursor not making context changes on secondary monitor
Mouse cursor not making context changes on secondary monitor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 20:11 EDT by Benjamin Franz
Modified: 2008-01-15 09:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dual head xorg.conf for Radeon X800 XL AGP card (1.39 KB, application/octet-stream)
2006-10-28 20:11 EDT, Benjamin Franz
no flags Details
Current xorg.conf to match with Xorg.*.log (1.55 KB, application/octet-stream)
2007-01-28 14:20 EST, Benjamin Franz
no flags Details
Xorg.*.log for problem configuration (84.34 KB, text/plain)
2007-01-28 14:21 EST, Benjamin Franz
no flags Details
Xorg.0.log for no xorg.conf (115.46 KB, text/plain)
2007-01-28 14:35 EST, Benjamin Franz
no flags Details

  None (edit)
Description Benjamin Franz 2006-10-28 20:11:37 EDT
Description of problem: Mouse cursor does not change to context appropriate
cursor on secondary monitor in dual monitor configuration.


Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. Mouse over things on secondary monitor.
2. Mouse does not change from text cursor to arrow or other cursors.

The problem appears related to the second monitor. The mouse cursors fails to
change when mousing over things in the second monitor (the left monitor in the
attached xorg.conf file). It also fails to change if moving from a maximized
window on the primary monitor to the secondary monitor.

  
Actual results:
Mouse cursor doesn't change to context appropriate cursor on secondary monitor

Expected results:
Mouse cursor should change on secondary monitor to context appropriate cursor

Additional info:
I've disabled dpms in my xorg.conf configuration because it was incorrectly
handling my ViewSonic VX910 monitors connected to a video switch.
Comment 1 Benjamin Franz 2006-10-28 20:11:37 EDT
Created attachment 139653 [details]
Dual head xorg.conf for Radeon X800 XL AGP card
Comment 2 Matěj Cepl 2006-12-28 18:07:24 EST
Thanks for the bug report and sorry for so late response. Could you, please,
attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below?

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Benjamin Franz 2007-01-28 14:20:03 EST
Created attachment 146778 [details]
Current xorg.conf to match with Xorg.*.log

Xorg.conf file that shows the problem matched to the Xorg.*.log. Note that
enabling SWCursor works around the problem.
Comment 4 Benjamin Franz 2007-01-28 14:21:15 EST
Created attachment 146779 [details]
Xorg.*.log for problem configuration

Log for Xorg when problem is active
Comment 5 Benjamin Franz 2007-01-28 14:35:26 EST
Created attachment 146780 [details]
Xorg.0.log for no xorg.conf

This locked up the display after loading only one of two screens (and that one
with some memory garbage mixed with the default wallpaper). The second screen
reported an out of range scan rate.
Comment 6 Matěj Cepl 2007-12-10 04:21:40 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Matěj Cepl 2008-01-15 09:38:31 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.